edu.northwestern.at.morphadorner.corpuslinguistics.postagger.suffix

## Class SuffixTagger

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger
    - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.unigram.UnigramTagger
      - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.suffix.SuffixTagger

- All Implemented Interfaces:
    UsesLexicon, CanTagOneWord, PartOfSpeechTagger, IsCloseable, UsesLogger

      public class SuffixTagger
      extends UnigramTagger
      implements PartOfSpeechTagger, CanTagOneWord

  Suffix Part of Speech tagger.

  The suffix part of speech tagger uses a suffix wordLexicon to assign a part of speech tag to a spelling based upon the most common part of speech for found for other words with the same last few characters of the spelling.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger

      `contextRules, contextualSmoother, dynamicLexicon, lexicalRules, lexicalSmoother, lexicon, logger, partOfSpeechGuesser, postTokenizer, retagger, ruleCorrections, transitionMatrix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuffixTagger()` Create a suffix tagger.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `tagWord(java.lang.String word)` Tag a single word.
    `java.lang.String` | `toString()` Return tagger description.

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.unigram.UnigramTagger

      `tagAdornedWordList, tagWord`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger

      `clearRuleCorrections, createPartOfSpeechGuesser, getContextualSmoother, getDynamicLexicon, getLexicalSmoother, getLexicon, getLexicon, getLogger, getMostCommonTag, getPartOfSpeechGuesser, getPostTokenizer, getRetagger, getRuleCorrections, getTagCount, getTagsForWord, getTransitionMatrix, incrementRuleCorrections, retagWords, setContextRules, setContextualSmoother, setLexicalRules, setLexicalSmoother, setLexicon, setLogger, setPartOfSpeechGuesser, setPostTokenizer, setRetagger, setTransitionMatrix, tagAdornedWordSentence, tagAdornedWordSentences, tagSentence, tagSentences, usesContextRules, usesLexicalRules, usesTransitionProbabilities`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PartOfSpeechTagger

      `clearRuleCorrections, getContextualSmoother, getLexicalSmoother, getLexicon, getLexicon, getPartOfSpeechGuesser, getPostTokenizer, getRetagger, getRuleCorrections, getTagCount, getTagsForWord, getTransitionMatrix, incrementRuleCorrections, retagWords, setContextRules, setContextualSmoother, setLexicalRules, setLexicalSmoother, setLexicon, setPartOfSpeechGuesser, setPostTokenizer, setRetagger, setTransitionMatrix, tagAdornedWordList, tagAdornedWordSentence, tagAdornedWordSentences, tagSentence, tagSentences, usesContextRules, usesLexicalRules, usesTransitionProbabilities`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.CanTagOneWord

      `tagWord`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### SuffixTagger

          public SuffixTagger()

      Create a suffix tagger.

  - ### Method Detail

    - #### tagWord

          public java.lang.String tagWord(java.lang.String word)

      Tag a single word.
      Specified by:
        `tagWord` in interface `CanTagOneWord`
      Overrides:
        `tagWord` in class `UnigramTagger`
      Parameters:
        `word` - The word.
      Returns:
        The part of speech for the word.

    - #### toString

          public java.lang.String toString()

      Return tagger description.
      Overrides:
        `toString` in class `UnigramTagger`
      Returns:
        Tagger description.